package Visual_DVM_2021.UI.Main;
import Common.UI.Windows.Dialog.DialogFields;
import SapforTestingSystem.SapforTasksPackage.SapforTasksPackage;
import Visual_DVM_2021.UI.Interface.FormWithSplitters;

import javax.swing.*;
public class SapforPackageFields implements DialogFields, FormWithSplitters {
    SapforTasksPackage object = null;

    private JPanel content;
    public JSplitPane SCY;
    private JToolBar tools;
    public JLabel lObjectName;
    private JButton bApplyObject;
    private JButton bClose;
    private JButton bPrevious;
    private JButton bNext;
    private JButton bCompare;
    private JPanel treePanel;
    public JPanel getContent() {
        return content;
    }
    public JPanel getTreePanel(){return treePanel;}
    public SapforPackageFields(){}
    public SapforPackageFields(SapforTasksPackage object_in){
        LoadSplitters();
        object = object_in;
        //--
        lObjectName.setText(object.id);
        /*
        treePanel.add(
                new JScrollPane(
                        new SapforTasksPackageTree(SapforTasksPackageInterface.getTreeRoot(object))));

         */
    }
}
